

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.13. column_remove &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.14. column_rename" href="column_rename.html" />
    <link rel="prev" title="7.3.12. column_list" href="column_list.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/column_remove.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="column_rename.html" title="7.3.14. column_rename"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="column_list.html" title="7.3.12. column_list"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.13. </span><code class="docutils literal notranslate"><span class="pre">column_remove</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="column-remove">
<h1><span class="section-number">7.3.13. </span><code class="docutils literal notranslate"><span class="pre">column_remove</span></code><a class="headerlink" href="#column-remove" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.13.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<p>column_remove - テーブルに定義されているカラムの削除</p>
<p>Groonga組込コマンドの一つであるcolumn_removeについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>column_removeはテーブルに定義されているカラムを削除します。
また、付随するインデックスも削除されます。<a class="footnote-reference brackets" href="#id2" id="id1">1</a></p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.13.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>column_remove table name
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.13.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>column_remove Entry body

[true]
</pre></div>
</div>
<p class="rubric">脚注</p>
<dl class="footnote brackets">
<dt class="label" id="id2"><span class="brackets"><a class="fn-backref" href="#id1">1</a></span></dt>
<dd><p>マルチセクションインデックスの一部である場合も、インデックスが削除されます。</p>
</dd>
</dl>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.13.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">table</span></code></p>
<blockquote>
<div><p>削除対象のカラムが定義されているテーブルの名前を指定します。</p>
</div></blockquote>
<p><code class="docutils literal notranslate"><span class="pre">name</span></code></p>
<blockquote>
<div><p>削除対象のカラム名を指定します。</p>
</div></blockquote>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.13.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[成功かどうかのフラグ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">成功かどうかのフラグ</span></code></p>
<blockquote>
<div><p>エラーが生じなかった場合にはtrue、エラーが生じた場合にはfalseを返す。</p>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.13. <code class="docutils literal notranslate"><span class="pre">column_remove</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.13.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.13.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.13.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.13.4. Parameters</a></li>
<li><a class="reference internal" href="#return-value">7.3.13.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="column_list.html"
                        title="previous chapter"><span class="section-number">7.3.12. </span><code class="docutils literal notranslate"><span class="pre">column_list</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="column_rename.html"
                        title="next chapter"><span class="section-number">7.3.14. </span><code class="docutils literal notranslate"><span class="pre">column_rename</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="column_rename.html" title="7.3.14. column_rename"
             >next</a> |</li>
        <li class="right" >
          <a href="column_list.html" title="7.3.12. column_list"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.13. </span><code class="docutils literal notranslate"><span class="pre">column_remove</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>